Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFXMode

    java.lang.Object
      org.apache.fop.pdf.PDFXMode

    public final class PDFXMode

extends java.lang.Object

Enum class for PDF/X modes.

Field Summary
`static PDFXMode` | `DISABLED` PDF/X disabled
`static PDFXMode` | `PDFX_3_2003` PDF/X-3:2003 enabled

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `toString()`
`static PDFXMode` | `valueOf(java.lang.String s)` Returns the mode enum object given a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DISABLED

    public static final PDFXMode DISABLED

  PDF/X disabled

### PDFX_3_2003

    public static final PDFXMode PDFX_3_2003

  PDF/X-3:2003 enabled

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of the enum

### valueOf

    public static PDFXMode valueOf(java.lang.String s)

  Returns the mode enum object given a String.

  Parameters:
    `s` - the string
  Returns:
    the PDFAMode enum object (DISABLED will be returned if no match is found)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.